clear;clc;close all;

I = imread('moonBig.jpg');
I = im2double(I);
I = rgb2gray(I);

figure(1);
imshow(I);

Iblur = zeros(size(I));       %To Create a Blurred Image
lap = zeros(size(I));         %To Create an Image of Laplacian

x = 2:length(I(:,1))-1;
y = 2:length(I(1,:))-1;

%To cause a blurred look for the demonstration.
%Each pixel is averaged with those in its neighborhood.
Iblur(x,y) = (I(x-1,y-1)+I(x,y-1)+I(x+1,y-1)+I(x-1,y)+I(x,y)+
                I(x+1,y)+I(x-1,y+1)+I(x,y+1)+I(x+1,y+1))/9;

%Calculating the Laplacian for each pixel
lap(x,y) = Iblur(x+1,y)+Iblur(x-1,y)+Iblur(x,y-1)+Iblur(x,y+1)-4*Iblur(x,y);

%Display the original image
figure(1);
imshow(I);

%Display the blurred image
figure(2);
imshow(Iblur);

%Display the Laplacian Image
figure(3);
imshow(lap);

%Display the Sharpened Image
figure(4);
imshow(Iblur-lap);

